$(document).ready(function() {
 
 //walidacja formularzy
   
 function walidacjaFormularza(id, ilosc_znakow, komunikat_ok, komunikat_blad, wzor){
    $(id).on('blur', function() {
		var input = $(this);
        
        if (typeof wzor != 'undefined') { //uznajemy że jest to email i nie sprawdzamy innych warunków
           var email = wzor.test(input.val()); 
           
           if(email){
    			input.removeClass("invalid").addClass("valid");
    			input.next('.komunikat').text(komunikat_ok).removeClass("blad").addClass("ok");
		   }
    		else {
    			input.removeClass("valid").addClass("invalid");
    			input.next('.komunikat').text(komunikat_blad).removeClass("ok").addClass("blad");
    		}
           return;
        } 
        
        var input_length = input.val().length;
        
		if(input_length >= ilosc_znakow[0] && input_length <= ilosc_znakow[1]){
			input.removeClass("invalid").addClass("valid");
			input.next('.komunikat').text(komunikat_ok).removeClass("blad").addClass("ok");
		}
		else{
			input.removeClass("valid").addClass("invalid");
			input.next('.komunikat').text(komunikat_blad).removeClass("ok").addClass("blad");
			
		}
});   
 }
 
walidacjaFormularza('#username', [5,20], "Wprowadzono poprawną nazwę użytkownika.", "Nazwa użytkownika musi mieć od 5 do 20 znaków.");
walidacjaFormularza('#password', [5,25], "Wprowadzono poprawne hasło!", "Hasło musi mieć od 5  do 25 znaków.");
walidacjaFormularza('#email', [1,255], "Wprowadzono poprawny email!", "Podany email jest nieprawidłowy.", /^([\w-]+(?:\.[\w-]+)*)@((?:[\w-]+\.)*\w[\w-]{0,66})\.([a-z]{2,6}(?:\.[a-z]{2})?)$/i);


$('#zarejestruj').click(function(event){
			var username = $('#username');
			var password = $('#password');
            var email = $('#email');
			
			
			if(username.hasClass('valid') && password.hasClass('valid') && email.hasClass('valid')){
				alert("Wprowadzono poprawne dane!");	
			}
			else {
				event.preventDefault();
				alert("Uzupełnij wszystkie pola!");	
			}
});
 
});